1. MINIMAX-V2
梧柏API使用文档
WHBAI · OpenAI 兼容
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Chat
    • 对话补全(OpenAI 兼容)
      POST
  • Embeddings
    • 文本嵌入(OpenAI 兼容)
      POST
  • Audio
    • 音频转文字 gpt-4o-transcribe
      POST
    • 创建语音 gpt-4o-mini-tts
      POST
    • 创建翻译(部分模型不支持)
      POST
  • 文生图接口
    • GPT Image-1
      • 创建 gpt-image-2.5
    • Grok
      • 编辑image【"grok-imagine-image-quality" | "grok-imagine-image-2.0"】
  • Models
    • 获取令牌支持模型
      GET
  • Completions
    • 创建完成
      POST
  • Responses
    • 创建函数调用
      POST
    • gpt 上下文压缩
      POST
  • Rerank
    • 重排序
      POST
  • 智能交互
    • TypeSafe
      • TypeSafe System One
  • 谷歌Gemini
    • 原生格式
      • 图片生成 gemini-nano-banana-2.1
  • 品牌平台
    • MINIMAX-V2
      • 创建视频
        POST
      • 查询单个任务
        GET
  • 数据模型
    • 对话接口 POST /v1/chat/completions
    • V1ChatCompletionsResponse
    • V1EmbeddingsRequest
    • V1EmbeddingsResponse
    • V1AudioSpeechRequest
    • PostV1ImagesGenerationsRequest
    • POST /v1/images/generations · wan2.7-image-pro 成功响应
    • POSTV1ImagesGenerations_DallE2
    • POSTV1ImagesGenerations_GptImage1
    • POSTV1ImagesGenerations_GptImage2
    • POSTV1ImagesGenerations_GptImage25
    • POSTV1ImagesGenerations_GptImage2C
    • POSTV1ImagesGenerations_QwenImageMax
    • POSTV1ImagesGenerations_ZImageTurbo
    • POSTV1ImagesGenerations_QwenImage20260303
    • POSTV1ImagesGenerations_QwenImage3
    • POSTV1ImagesGenerations_QwenImage3Pro
    • POSTV1ImagesEdits_Grok3Image
    • POSTV1ImagesEdits_GptImage1
    • POSTV1ImagesEdits_GptImage2
    • POSTV1ImagesEdits_GptImage25
    • POSTV1ImagesEdits_QwenImageEdit2509
    • POSTV1ImagesGenerations_DallE3
    • POSTV1ImagesGenerations_Grok2Image
    • POSTV1ImagesGenerations_Grok3Image
    • Message
    • ContentPart
    • Tool
    • StreamOptions
    • ResponseFormat
    • WebSearchOptions
    • wan2.7-image-pro 文生图请求
    • imageData
    • PostV1ImagesEditsResponse
    • PostV1CompletionsRequest
    • PostV1CompletionsResponse
    • PostV1ResponsesRequest
    • PostV1ResponsesResponse
    • PostV1ResponsesCompactRequest
    • PostV1RerankRequest
    • PostV1RerankResponse
    • NewApiError
  1. MINIMAX-V2

创建视频

开发中
POST
/minimax/v2/video_generation

网站中的模型与调用示例#

创建视频#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aigc_watermark": {
      "description": "是否在生成视频上添加 AIGC 水印。可选",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Whether to add AIGC watermark to the generated video. Optional."
        }
      }
    },
    "callback_url": {
      "description": "任务状态回调 URL。可选",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Callback URL for task status. Optional."
        }
      }
    },
    "content": {
      "description": "生成内容。必须且只能有 1 条非空 text。图片 role:不填视为 first_frame,另支持 last_frame、reference_image。视频 role:reference_video。音频 role:reference_audio。首尾帧与参考素材不能同时出现。base_video 仅再生成可用。数量上限:首帧 1、尾帧 1、参考图 9、参考视频 3、参考音频 3。文本最长 7000 字",
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Generated content. Must and can only have 1 non-empty text. Image role: if not filled, treated as first_frame, also supports last_frame, reference_image. Video role: reference_video. Audio role: reference_audio. First and last frames and reference materials cannot appear simultaneously. base_video can only be used for regeneration. Quantity limits: 1 first frame, 1 last frame, 9 reference images, 3 reference videos, 3 reference audios. Text length limit is 7000 characters."
        }
      }
    },
    "duration": {
      "description": "视频时长(秒)。MiniMax-H3 为 4–15,MiniMax-H3-Max 为 5–15",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Video duration (seconds). MiniMax-H3 is 4–15, MiniMax-H3-Max is 5–15."
        }
      }
    },
    "extra": {
      "description": "扩展参数。仅 MiniMax-H3-Max 可传",
      "type": "object",
      "x-i18n": {
        "en-US": {
          "description": "Extended parameters. Only MiniMax-H3-Max can pass."
        }
      }
    },
    "model": {
      "description": "模型名称。MiniMax-H3:768P 或 2K,时长 4–15 秒。MiniMax-H3-Max:480P 或 768P,时长 5–15 秒,不支持 2K",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Model name. MiniMax-H3: 768P or 2K, duration 4–15 seconds. MiniMax-H3-Max: 480P or 768P, duration 5–15 seconds, 2K not supported."
        }
      }
    },
    "ratio": {
      "description": "画幅。纯文本生成必填,且不能为 adaptive。可选:21:9、16:9、4:3、1:1、3:4、9:16。带首尾帧或参考素材时还可填 adaptive,或不传",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Aspect ratio. Required for pure text generation and cannot be adaptive. Options: 21:9, 16:9, 4:3, 1:1, 3:4, 9:16. When including first and last frames or reference materials, can also fill adaptive or leave empty."
        }
      }
    },
    "resolution": {
      "description": "分辨率。MiniMax-H3:768P、2K。MiniMax-H3-Max:480P、768P",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Resolution. MiniMax-H3: 768P, 2K. MiniMax-H3-Max: 480P, 768P."
        }
      }
    }
  },
  "required": [
    "model",
    "content",
    "resolution",
    "duration"
  ]
}

tags#

[
  "品牌平台/MINIMAX-V2"
]

请求参数

Header 参数

Body 参数application/json必填

示例
{
    "model": "MiniMax-H3",
    "resolution": "768P",
    "duration": 5,
    "ratio": "16:9",
    "content": [
        {
            "type": "text",
            "text": "海边日落,镜头缓慢推进"
        }
    ]
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/minimax/v2/video_generation' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data '{
    "model": "MiniMax-H3",
    "resolution": "768P",
    "duration": 5,
    "ratio": "16:9",
    "content": [
        {
            "type": "text",
            "text": "海边日落,镜头缓慢推进"
        }
    ]
}'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "task_id": "task_abc123"
}
修改于 2026-10-24 18:33:00
上一页
图片生成 gemini-nano-banana-2.1
下一页
查询单个任务
Built with